A BIG Packager Utility PROBLEM :(

bridged with qnx.development_tools
Post Reply
Mike Gorchak

A BIG Packager Utility PROBLEM :(

Post by Mike Gorchak » Wed Dec 22, 2004 7:11 am

Hello, All!

The latest packager utility from QNX 6.3.0 distro have two cruel bugs:

1) It incorrectly interpreting all shared libraries which is not in
"*.so.version" format. For example: libperl.so (from Perl), and libdb-4.3.so
(from Berkley DB) appeared to be stripped, fully stripped, including all
export names. But shared libraries must be stripped with -g option only -
only debug information. This problem cause another problem: those libraries
will not appeared in the slib packages, so no dependencies, etc ... (BTW,
even on PublicCD from 6.2.1 Berkley DB package is broken - library
completely stripped !)

2) packager forgot to add links from /opt/lib to /usr/lib for all libraries:
static and dynamic. It generates MANIFEST without links. But it adds links
if package installed as dependency, because slib's MANIFEST contain the
links. Why it happens ???

With best regards, Mike Gorchak. E-mail: mike@malva.com.ua

Post Reply

Return to “qnx.development_tools”